# Generated by rust2rpm
%bcond_without check
%global debug_package %{nil}

%global crate fuse

Name:           rust-%{crate}
Version:        0.3.1
Release:        2%{?dist}
Summary:        Rust library for filesystems in userspace (FUSE)

License:        MIT
URL:            https://crates.io/crates/fuse
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * Bump env_logger to 0.5, https://github.com/zargony/rust-fuse/commit/e320b6eff05455ef553041e7944d963f94009e44
Patch0:         fuse-0.3.1-fix-metadata.diff
Patch0001:      0001-upgrade-the-env_logger-dependency.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(libc/default) >= 0.2.0 with crate(libc/default) < 0.3.0)
BuildRequires:  (crate(log/default) >= 0.3.0 with crate(log/default) < 0.4.0)
BuildRequires:  (crate(pkg-config/default) >= 0.3.0 with crate(pkg-config/default) < 0.4.0)
BuildRequires:  (crate(thread-scoped/default) >= 1.0.0 with crate(thread-scoped/default) < 2.0.0)
BuildRequires:  (crate(time/default) >= 0.1.0 with crate(time/default) < 0.2.0)
%if %{with check}
BuildRequires:  (crate(env_logger/default) >= 0.5.0 with crate(env_logger/default) < 0.6.0)
%endif
BuildRequires:  pkgconfig(fuse) >= 2.6.0

%global _description \
Rust library for filesystems in userspace (FUSE).

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(fuse) >= 2.6.0

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE.md
%doc README.md
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%ifarch ppc64 s390x
  # https://github.com/zargony/rust-fuse/issues/110
  %cargo_test || :
%else
  %cargo_test
%endif
%endif

%changelog
* Tue Nov 13 2018 Josh Stone <jistone@redhat.com> - 0.3.1-2
- Adapt to new packaging

* Thu Jul 26 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.1-1
- Initial package
